%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Problem 1 : ODE solver
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% f: RHS of IVP
% T: Time interval
% x0: Initial value
% h: step size
% tol: tolerance
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [t,x] = TrapezSolve(f,x0,T,h,tol)

% Initialize variables
N = ceil((T(2)-T(1))/h); % number of steps
h = (T(2)-T(1))/N; % adjust step size to fit interval length
d = size(x0,1); % dimension of solution
t = linspace(T(1),T(2),N+1); % time grid
x = nan(d,N+1); % solution

x(:,1) = ; % set initial value

% Compute solution
for j=1:N
  x(:,j+1) = TrapezStep();
end

return